import { Args } from '@oclif/core';
import BaseCommand from '../../lib/baseCommand.js';
import ImageDestroyer from '../../lib/images/imageDestroyer.js';
export default class ImagesDestroy extends BaseCommand {
    static args = {
        name: Args.string({ description: 'Name of the image', required: true }),
    };
    static description = 'Deletes an image';
    static descriptionGerund = 'Deleting image';
    async runImpl() {
        const imageDestroyer = new ImageDestroyer(this.parsedArgs.name);
        await imageDestroyer.destroy();
    }
}
